#include <stdio.h>
#include <stdlib.h>

int main()
{
  char buf[32];
  int r;

  r = sprintf(buf, "%d", 10);
  printf("%s %d\n", buf, r);

  r = sprintf(buf, "%d", 12345);
  printf("%s %d\n", buf, r);

  r = sprintf(buf, "%u", 10);
  printf("%s %d\n", buf, r);

  r = sprintf(buf, "%u", 12345);
  printf("%s %d\n", buf, r);

  r = sprintf(buf, "%x", 0xa0b1c2d3);
  printf("%s %d\n", buf, r);

  r = sprintf(buf, "%X", 0xa0b1c2d3);
  printf("%s %d\n", buf, r);

  r = sprintf(buf, "%c", 'a');
  printf("%s %d\n", buf, r);

  r = sprintf(buf, "%s", "test");
  printf("%s %d\n", buf, r);

  return 0;
}
